1. sensor
Residentia REST API
  • Residentia REST API
    • location
      • getLocations
      • getLocationByLocationNumber
    • sensor
      • getSensorBySensorId
        GET
      • getSensorHistoryBySensorId
        GET
    • overdrive
      • setOverdriveSettings
      • getOverdriveSettings
      • getOneLocationOverdriveSettings
      • getLocationOverdriveStatus
    • consumption_report
      • getMonthlyConsumption
      • getDailyConsumption
      • getDistrictHeating
      • specificEnergyConsumption
    • heating
      • getLocationHeatingCurve
      • getLocationTargetSetpoint
    • Schemas
      • LocationItem
      • LocationSensorItem
      • SensorItem
      • SensorHistoryItem
      • HistoryData
      • OverdriveBody
      • Overdrive
      • OverdrivePostResponse
      • OverdriveGetResponse
      • HeatingCurvePoint
      • HeatingCurveItem
      • TargetSetpointItem
      • OverdriveStatusItem
      • MonthlyConsumptionItem
      • SpecificEnergyTypeResult
  1. sensor

getSensorBySensorId

GET
/sensor/{sensor_id}
Returns one sensor and its current value

Request

Authorization
API Key
Add parameter in header
X-ApiKey
Example:
X-ApiKey: ********************
or
Path Params

Responses

🟢200
application/json
successful operation
Bodyapplication/json

🟠400
🟠403
🟠404
🟠429
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/sensor/A000000001' \
--header 'X-ApiKey: <api-key>'
Response Response Example
200 - Example 1
{
    "sensor_id": "A000000001",
    "disp_name": "KL meno",
    "timestamp": 1541769538,
    "value": 85.5,
    "unit": "°C",
    "use_type": 1000,
    "energy_type": "electricity"
}
Modified at 2026-06-18 14:38:42
Previous
getLocationByLocationNumber
Next
getSensorHistoryBySensorId
Built with